Get a ledger account by ID

Get ledger account by id

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

ledger_account_idstringRequired

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Response

Successful Response
idstringformat: "uuid"
A unique identifier of the ledger account.
created_atdatetime
The timestamp when the ledger account was created.
updated_atdatetime
The timestamp when the ledger account was last updated.
is_bank_accountboolean
Indicates whether this ledger account represents a bank account.
statusstring

The status of the ledger account. Possible values: Active, Archived, Pending, Unknown.

typestring

The type of the ledger account. It determines whether the account is a credit account or a debit account and where it appears in financial reports within the accounting system. Possible values: Asset, Equity, Expense, Income, Liability, Unknown.

currencyenum

The currency of the ledger account, specified as a three-letter currency code (ISO 4217).

current_balanceinteger
The current balance in the account.
descriptionstring

User-defined description of the ledger account.

is_externalbooleanDefaults to false
Whether the ledger account is from an external system
namestring

A user-defined name of the ledger account. Examples: Accounts Receivable, Office Equipment, Advertising, Salaries.

nominal_codestring
The account code in the accounting system.
subtypestring

The subtype or category of the ledger account. Possible values vary based on the accounting system used. Examples: Current, Fixed, Expense, Inventory, Equity.

Errors

400
Get Ledger Accounts ID Request Bad Request Error
401
Get Ledger Accounts ID Request Unauthorized Error
403
Get Ledger Accounts ID Request Forbidden Error
404
Get Ledger Accounts ID Request Not Found Error
422
Get Ledger Accounts ID Request Unprocessable Entity Error
429
Get Ledger Accounts ID Request Too Many Requests Error